echo "Running changelog script"
cd `dirname $0/..`
VERSION=`python3 -c "import json; f = open('./package.json', 'r'); v = json.loads(f.read())['version']; f.close(); print(v)"`
echo "This script will release $VERSION."
read -p "Continue (y/n)?" CONT
if [ "$CONT" = "y" ]; then
  echo "Continuing";
else
  echo "Closing script early"
  exit 1
fi
echo "Building package"
npm i

./changelog-release.sh
echo "Committing version"
git commit changelog.d package.json package-lock.json CHANGELOG.md  -m $VERSION
echo "Tagging version"
git tag -s -m $VERSION $VERSION
echo "Pushing tag"
git push origin $VERSION
echo "Pushing branch"
git push
echo "Pushing to develop"
git checkout develop
git merge release-v$VERSION
git push
echo "Pushing to master"
git checkout master
git merge develop
git push
echo "Now you need to:"
echo " - npm publish (--dryrun)"
echo " - Update https://github.com/matrix-org/matrix-appservice-irc/releases/tag/$VERSION"
echo " - PR to matrix.org ansible "
echo " - Update AWX "